Index: /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_pl.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_pl.properties	(revision 30848)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_pl.properties	(revision 30849)
@@ -2,30 +2,80 @@
 
 ## Service Names
+TextQuery.name:Wyszukiwanie tekstowe
+TextQuery.description:UsÅuga wyszukiwania peÅnotekstowego i/lub w metadanych
 TextQuery.submit:Szukaj
 
+FieldQuery.name:Formularz wyszukiwania
+FieldQuery.description:Proste wyszukiwanie w polach
 FieldQuery.submit:Szukaj
 
+AdvancedFieldQuery.name:Zaawansowane wyszukiwanie
+AdvancedFieldQuery.description:Zaawansowane wyszukiwanie w polach
 AdvancedFieldQuery.submit:Szukaj
 
+RawQuery.name:Surowe wyszukiwanie
+RawQuery.description:Surowe wyszukiwanie w polach
+RawQuery.submit:Wyszukaj
 
 ClassifierBrowse.name:PrzeglÄ
 daj
+ClassifierBrowse.description:PrzeglÄ
+daj predefiniowane hierarchie klasyfikacji
+ClassifierBrowse.classifier_help:PrzeglÄ
+daj wg {0}
 
-
+PhindApplet.name:PrzeglÄ
+danie fraz
+PhindApplet.description:Aplet Javy, ktÃ³ry umoÅŒliwia przeglÄ
+danie wybranych hierarchii fraz
 
 # search parameters
+param.index:Indeks wyszukiwania
+param.indexSubcollection:Indeks podkolekcji
+param.indexLanguage:Indeks jÄzyka
+param.maxDocs:Maksymalna liczba wynikÃ³w
+param.query:Zapytanie
+param.rawquery:Surowe zapytanie
+param.hitsPerPage:Trafienia na stronÄ
+param.startPage:Skocz do strony
 
+param.stem:WyciÄ
+ganie rdzenia
+param.case:Pomijanie wielkoÅci znakÃ³w
+param.accent:Pomijanie znakÃ³w diakrytycznych
 param.boolean.on:wÅÄ
 czony
 param.boolean.off:wyÅÄ
 czony
+param.matchMode:Dopasuj
 param.matchMode.all:wszystkie
 param.matchMode.some:niektÃ³re
 
+param.level:SzczegÃ³ÅowoÅÄ wyszukiwania
+param.sortBy:Sortuj wyniki wg
+param.sortBy.1:ranga
+param.sortBy.0:kolejnoÅÄ zbudowania
+param.sortBy.rank:ranga
+param.sortBy.none:kolejnoÅÄ zbudowania
+param.sortOrder:Sortowanie
+param.sortOrder.0:rosnÄ
+ce
+param.sortOrder.1:malejÄ
+ce
+param.reverseSort:OdwrÃ³cone sortowanie
 param.reverseSort.0:wyÅÄ
 czony
 param.reverseSort.1:wÅÄ
 czony
+param.fqv:SÅÃ³w lub fraza
+param.fqf:w polu
+param.fqf.all:wszystkie pola
+param.fqs:rdzeÅ
+param.fqc:casefold
 param.fqk:
+param.fqk.0:ORAZ
+param.fqk.1:LUB
+param.fqk.2:NIE
+param.fqa:pomiÅ diakrytyki
 
 #levels 
@@ -36,9 +86,20 @@
 level.paragraph:Akapit
 level.Para:Akapit
+level.book:ksiÄ
+ÅŒka
+level.books:ksiÄ
+ÅŒki
+level.chapter:rozdziaÅ
+level.chapters:rozdziaÅy
 
 ## Authentication
 Authentication.name:Panel administracyjny
+Authentication.description:UmoÅŒliwia ci zarzÄ
+dzanie uÅŒytkownikami
 
 ## Authentication services
+ListUsers.name:userName
+ListUsers.submit:wyÅlij
+ListUsers.description:wyÅwietl uÅŒytkownikÃ³w
 
 AddUser.name:userName
@@ -47,12 +108,28 @@
 
 ## Authentication params
-
-
+param.un:nazwa uÅŒytkownika
+param.pw:hasÅo
+param.com:komentarz
+param.boolean.enabled:wÅÄ
+czone
+param.boolean.disabled:wyÅÄ
+czone
+param.as:status konta
+param.gp:grupy
+param.npw:nowe hasÅo
+param.rnpw:powtÃ³rz hasÅo
 
 ## CrossCollectionSearch specific strings
+CrossCollectionSearch.TextQuery.name:Wyszukiwanie poprzez kolekcje
+CrossCollectionSearch.TextQuery.description:Przeszukuj wiele kolekcji
 CrossCollectionSearch.TextQuery.submit:Szukaj
-
+CrossCollectionSearch.param.query:Zapytanie
+CrossCollectionSearch.param.collection:Wyszukaj w kolekcjach
+CrossCollectionSearch.param.collection.all:Wszystkie kolekcje
+CrossCollectionSearch.param.maxDocs:Maksymalna liczba dokumentÃ³w w ramach kolekcji
 
 ## LuceneSearch specific strings
 LuceneSearch.TextQuery.name:Szukaj
+LuceneSearch.TextQuery.description:Prosta usÅuga wyszukiwania XML
 LuceneSearch.TextQuery.submit:Szukaj
+LuceneSearch.param.query:Wpisz swoje zapytanie
Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_pl.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_pl.properties	(revision 30848)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_pl.properties	(revision 30849)
@@ -1,23 +1,70 @@
 #***** IMAGE URLS *****
+expand_image:interfaces/__INTERFACE_NAME__/images/expand.png
+collapse_image:interfaces/__INTERFACE_NAME__/images/collapse.png
+page_image:interfaces/__INTERFACE_NAME__/images/page.png
+chapter_image:interfaces/__INTERFACE_NAME__/images/chapter.png
+realistic_books_image:interfaces/__INTERFACE_NAME__/images/rbook.png
+slideshow_image:interfaces/__INTERFACE_NAME__/images/slideshow.png
+highlight_image:interfaces/__INTERFACE_NAME__/images/hl.png
+bookshelf_image:interfaces/__INTERFACE_NAME__/images/bookshelf.png
+book_image:interfaces/__INTERFACE_NAME__/images/book.png
+loading_image:interfaces/__INTERFACE_NAME__/images/loading.gif
+page_icon_image:interfaces/__INTERFACE_NAME__/images/itext.gif
+trash_full_image:interfaces/__INTERFACE_NAME__/images/trash-full.png
+trash_empty_image:interfaces/__INTERFACE_NAME__/images/trash-empty.png
+blank_image:interfaces/__INTERFACE_NAME__/images/blankImage.png
+next_image:interfaces/__INTERFACE_NAME__/images/next.png
+prev_image:interfaces/__INTERFACE_NAME__/images/previous.png
+zoom_image:interfaces/__INTERFACE_NAME__/images/zoom.png
+left_arrow_image:interfaces/__INTERFACE_NAME__/images/leftarrow.png
+float_toc_image:interfaces/__INTERFACE_NAME__/images/floattoc.png
+green_bug_image:interfaces/__INTERFACE_NAME__/images/GB.png
 
 #***** TEXT FRAGMENTS *****
 gsdl:Biblioteka Cyfrowa Greenstone - oprogramowanie
+gs3power:napÄdzane przez greenstone3
+error:BÅÄ
+d:
+hide_error:Schowaj bÅÄ
+d
+show_error:PokaÅŒ bÅÄ
+d
 # the buttons
 home_b:STRONA GÅÃWNA
 help_b:Pomoc
 pref_b:Preferencje
+debuginfo_b:Debug info.
+login_b:Logowanie
 # tool tips for the buttons
 home_tip:Strona gÅÃ³wna
 help_tip:Pomoc
 pref_tip:Zmiana preferencji
+debuginfo_tip:WyÅwietl opcje widoku debugowania
+login_tip:Zaloguj siÄ
 aboutpage:Informacje
+home.quick_search:Szybkie wyszukiwanie
 home.librarian_interface:Interfejs Bibliotekarza
+home.select_a_collection:Wybierz kolekcjÄ
+home.no_collections:Ta biblioteka nie ma ÅŒadnych poprawnych kolekcji
+#***** logged in menu
+menu.account_settings:Ustawienia konta
+menu.enable_edit_mode:WÅÄ
+cz tryb edycji
+menu.disable_edit_mode:WyÅÄ
+cz tryb edycji
+menu.logout:Wyloguj
 
 ######################
 # system page
 #######################
+system.title:Å»Ä
+danie systemowe
 ######################
 # about page
 #######################
+about.noservices:Å»adna usÅuga nie jest dostÄpna w tej kolekcji.
+about.services:Dodatkowe usÅugi:
+about.servicehelp:UsÅugi sÄ
+ dostÄpne poprzez poniÅŒsze przyciski lub przez pasek nawigacyjny. Pasek nawigacyjny jest dostÄpny na wszystkich stronach kolekcji.
 
 #######################
@@ -27,9 +74,36 @@
 query.nodocsmatch:Brak wynikÃ³w
 query.onedocsmatch:znaleziono 1 dokument
-
+query.manydocsmatch:{0-numdocs} {1-level-plural} pasuje do zapytania.
+query.atleastdocsmatch:Przynajmniej {0-numdocs} {1-level-plural} pasuje do zapytania.
+query.docsreturned:{0-numdocs} {1-level-plural} wynikÃ³w.
+
+query.termoccurs.0:â{0-term}â wystÄ
+piÅo 0 razy
+query.termoccurs.1:â{0-term}â wystÄ
+piÅo 1 raz
+query.termoccurs.x:â{0-term}â wystÄ
+piÅo {1-termfreq} razy
+
+query.termoccurs.x.1:â{0-term}â wystÄ
+piÅo {1-termfreq} razy w 1 {3-level-single}
+query.termoccurs.x.x:â{0-term}â wystÄ
+piÅo {1-termfreq} razy w {2-numdocs} {3-level-plural}
+
+query.document:dokument
 query.document_plural:dokumenty
+query.section:sekcja
+query.section_plural:sekcje
 
 # eg Displaying 1 to 20 of 42 sections/documents
-
+query.displayingnumdocs:WyÅwietlam {0-startnum} do {1-endnum} z {2-totalnum} {3-level-plural}
+
+query.common:NastÄpujÄ
+ce terminy zostaÅy usuniÄte z wyszukiwania jako zbyt popularne:
+
+query.results.next:NastÄpne
+query.results.previous:Poprzednie
+
+query.facet.less:Zobacz mniej...
+query.facet.more:Zobacz wiÄcej...
 
 ##################
@@ -40,34 +114,165 @@
 pref.interfacelang:JÄzyk interfejsu uÅŒytkownika:
 pref.encoding:Kodowanie znakÃ³w:
+pref.hitsperpage:Liczba rekordÃ³w na stronie:
+pref.maxDocs:Maksymalna liczba zwracanych dokumentÃ³w:
 pref.all:wszystkie
 pref.set_prefs:zapisz preferencje
-pref.berrybasket.on:wÅÄ
-czony
-pref.berrybasket.off:wyÅÄ
-czony
-pref.formatedit.on:wÅÄ
-czony
-pref.formatedit.off:wyÅÄ
-czony
-
+pref.set_prefs_help:Kliknij âZmieÅ ustawieniaâ jeÅli chcesz zapisaÄ swoje zmiany.
+pref.berrybasket:Koszyk Åakoci:
+pref.documentbasket:Koszyk dokumentÃ³w:
+pref.on:wÅÄ
+czone
+pref.off:wyÅÄ
+czone
+pref.book:Tryb przeglÄ
+dania ksiÄ
+ÅŒek:
+pref.formatedit:Tryb edycji formatu:
+pref.theme:SkÃ³rka:
+pref.switch_theme:ZmieÅ skÃ³rkÄ
+pref.theme_default:Standardowa Greenstone
+pref.theme_custom1:Niestandardowa Greenstone 1
+pref.theme_custom2:Niestandardowa Greenstone 2
 ##################
 # document page
 ##################
-
-
-
+doc.loading:wczytywanie
+doc.filter_pages:Filtruj strony
+doc.filter.pagenum:nrstr
+doc.filter.title:tytuÅ
+doc.highlightTooltip:WÅÄ
+cz lub wyÅÄ
+cz podÅwietlanie wyszukiwanych fraz
+doc.realisticBooksTooltip:WÅÄ
+cz lub wyÅÄ
+cz widok realistycznych ksiÄ
+ÅŒek
+doc.zoomTooltip:WÅÄ
+cz lub wyÅÄ
+cz powiÄkszanie obrazkÃ³w w standardowym widoku
+doc.slideshowTooltip:Zobacz pokaz slajdÃ³w
+doc.floatingTooltip:PrzytwierdÅº spis treÅci do prawej
+doc.expand_doc:RozwiÅ dokument
+doc.collapse_doc:ZwiÅ dokument
 doc.document:Dokument
-
-
-
-
+doc.back_to_top:powrÃ³t do gÃ³ry
+doc.default_view:DomyÅlny widok
+doc.image_view:Widok obrazkÃ³w
+doc.text_view:Widok tekstowy
+
+doc.map_nearby_docs:PokaÅŒ pobliskie dokumenty
+maps.scrolllabel:Przewijanie miejsc
+
+external.title:ZewnÄtrzny link
+external.text:Wybrany link jest zewnÄtrzny w stosunku do wszystkich wybranych kolekcji. JeÅli mimo to chcesz wejÅÄ na ten link (i masz poÅÄ
+czenie z Internetem), to moÅŒesz wejÅÄ na tÄ stronÄ {0-go-forward-link}. W przeciwnym wypadku uÅŒyj przycisku wstecz w przeglÄ
+darce, aby powrÃ³ciÄ do poprzedniego dokumentu.
+external.go_forward:w przÃ³d
+
+#####################
+#  Document Editing #
+#####################
+
+de.rebuilding_collection:przebudowywanie kolekcji
+de.no_changes:Nie wykryto zmian
+de.save:Zapisz zmiany
+de.rebuild:Przebuduj
+de.saverebuild:Zapisz i przebuduj
+de.extract_pages:PrzetwÃ³rz te strony na dokument
+de.visible_metadata:Widoczne metadane:
+de.all_metadata:Wszystkie
+de.add_new_metadata:Dodaj nowe metadane
+de.no_meta_name_given:Nie podano wartoÅci dla nowych metadanych
+de.edit_metadata:modyfikuj metadane
+de.hide_metadata:schowaj metadane
+de.remove:usuÅ
+de.edit_content:Modyfikuj zawartoÅÄ
+de.hide_editor:Schowaj edytor
+de.save_changes:Zapisz zmiany
+de.saving:Zapisywanie
+de.enter_meta_name:Wpisz nazwÄ metadanych, a potem kliknij âDodaj nowe metadaneâ
+de.enter_meta_dropdown:Wpisz nazwÄ metadanych lub uÅŒyj strzaÅki w dÃ³Å aby wybraÄ; nastÄpnie kliknij âDodaj nowe metadaneâ
 ##################
 # authentication page
 ##################
+authen.username:Nazwa uÅŒytkownika
+authen.page_not_found:Strona nieznaleziona
+authen.submit:WyÅlij
+authen.error_failed_to_add:BÅÄ
+d: Nie udaÅo siÄ dodaÄ uÅŒytkownika
+authen.user_added_success:UÅŒytkownik zostaÅ poprawnie dodany
+authen.status:Status
+authen.password:HasÅo
+authen.account_status:Status konta
+authen.enabled:wÅÄ
+czone
+authen.disabled:wyÅÄ
+czone
+authen.groups:Grupy
+authen.add_group:Dodaj grupÄ
+authen.comment:Komentarz
+authen.email:Adres e-mail
+authen.add_a_new_user_title:Dodaj nowego uÅŒytkownika
+authen.old_password:Stare hasÅo
+authen.new_password:Nowe hasÅo
+authen.retype_password:PowtÃ³rz hasÅo
+authen.edit_user_information:ZmieÅ dane uÅŒytkownika
+authen.list_of_current_users_title:Lista bieÅŒÄ
+cych uÅŒytkownikÃ³w
+authen.delete_warning:Czy na pewno chcesz usunÄ
+Ä uÅŒytkownika?
+authen.edit:Edytuj
+authen.delete:UsuÅ
 authen.authentication:Panel administracyjny
-
-
+authen.add_a_new_user:Dodaj nowego uÅŒytkownika
+authen.register:Zarejestruj
+authen.account_settings:Ustawienia konta
+authen.change_password:ZmieÅ hasÅo
+authen.reset_password:Resetuj hasÅo
+authen.register_as_new:Zarejestruj jako nowego uÅŒytkownika
+
+##################
+# RSS page  #
+###################
+rss.page_title:KanaÅ RSS
+
+##############
+# Basket common strings
+####################
+basket.expand:RozwiÅ
+basket.collapse:ZwiÅ
+basket.clear:WyczyÅÄ koszyk
 
 ###################
 # Document basket #
 ###################
+db.doc_basket:Koszyk dokumentÃ³w
+db.access_denied:DostÄp zabroniony
+db.no_collection_building:Nie moÅŒesz uÅŒyÄ tej funkcji poniewaÅŒ nie masz wÅÄ
+czonego budowania kolekcji
+
+#####################
+#  Berry Baskets    #
+#####################
+
+berry.title:Koszyk Åakoci
+berry.full_view:PeÅny widok
+berry.text_view:Widok tekstowy
+berry.email_view:E-mail
+berry.help:UpuÅÄ tutaj smakoÅyki, aby dodaÄ dokumenty do swojego Koszyka Åakoci
+berry.full:PeÅny widok Â»
+berry.to:Do:
+berry.cc:Kopia:
+berry.bcc:Ukryta kopia:
+berry.subject:Temat:
+berry.send:WyÅlij
+berry.url_only:Widok URL
+berry.url_and_metadata:Widok URL i metadanych
+berry.empty_basket:TwÃ³j koszyk na Åakocie jest pusty
+berry.doc_name:ID
+berry.doc_title:tytuÅ
+berry.doc_collection:kolekcja
+berry.doc_date:data
+berry.doc_root_title:tytuÅ gÅÃ³wny
+berry.send_success:WysyÅka maila udana
+berry.send_fail:WysyÅanie maila nie powiodÅo siÄ
Index: /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_pl.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_pl.properties	(revision 30848)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_pl.properties	(revision 30849)
@@ -1,10 +1,41 @@
+text:treÅÄ
+section\:text:treÅÄ sekcji
+document\:text:caÅe dokumenty
+section\:Title:tytuÅ sekcji
+allfields:wszystkie pola
 Subject:Temat
+Subject.buttonname:tematy
 Title:TytuÅ
+Title.buttonname:tytuÅy
+Organisation:Organizacja
+Organisation.buttonname:organizacje
+Organization:Organizacja
+Organization.buttonname:organizacje
 Keyword:SÅowo kluczowe
+Keyword.buttonname:sÅowa kluczowe
+HowTo:Samouczek
+HowTo.buttonname:samouczek
+Howto:Samouczek
+Howto.buttonname:samouczek
 Creator:TwÃ³rca
+Creator.buttonname:twÃ³rcy
 Date:Data
+Date.buttonname:daty
 From:Od
+From.buttonname:nadawcy
 To:Do
+To.buttonname:odbiorcy
+Source:Å¹rÃ³dÅo
+Source.buttonname:pliki
 Acronym:Akronim
+Acronym.buttonname:akronimy
+Topic:Temat
+Topic.buttonname:tematy
 Collage:KolaÅŒ
+Collage.buttonname:kolaÅŒ
+Countries:PaÅstwa
+Countries.buttonname:paÅstwa
 Language:JÄzyk
+Language.buttonname:jÄzyki
+Artist:Artysta
+Artist.buttonname:artyÅci