Index: /gs3-extensions/solr/trunk/src/collect/solr-jdbm-demo/resources/collectionConfig_fr.properties
===================================================================
--- /gs3-extensions/solr/trunk/src/collect/solr-jdbm-demo/resources/collectionConfig_fr.properties	(revision 30851)
+++ /gs3-extensions/solr/trunk/src/collect/solr-jdbm-demo/resources/collectionConfig_fr.properties	(revision 30851)
@@ -0,0 +1,3 @@
+name:Collection de dÃ©monstration Solr
+description:Ceci est une collection de dÃ©monstration pour le logiciel de bibliothÃšque numÃ©rique Greenstone3. Il contient quelques Ã©lÃ©ments (11 livres) issus de la BibliothÃšque du DÃ©veloppement Humanitaire. Elle est semblable Ã  la collection de dÃ©monstration Lucene. Elle utilise JDBM comme base de donnÃ©es mais Solr comme moteur d'indexation. Solr offre la navigation Ã  facettes pour les rÃ©sultats de recherche.
+shortDescription:Collection de dÃ©monstration utilisant Solr comme moteur d'indexation et JDBM comme base de donnÃ©es pour les mÃ©tadonnÃ©es.
Index: /main/trunk/greenstone3/web/sites/localsite/collect/lucene-jdbm-demo/resources/collectionConfig_fr.properties
===================================================================
--- /main/trunk/greenstone3/web/sites/localsite/collect/lucene-jdbm-demo/resources/collectionConfig_fr.properties	(revision 30851)
+++ /main/trunk/greenstone3/web/sites/localsite/collect/lucene-jdbm-demo/resources/collectionConfig_fr.properties	(revision 30851)
@@ -0,0 +1,3 @@
+name:Collection de dÃ©monstration
+description:Ceci est une collection de dÃ©monstration pour le logiciel de bibliothÃšque numÃ©rique Greenstone3. Elle contient quelques Ã©lÃ©ments (11 livres) issus de la BibliothÃšque du DÃ©veloppement Humanitaire. Elle est construite avec le moteur d'indexation Lucene et la base de donnÃ©es JDBM pour les mÃ©tadonnÃ©es.
+shortDescription:Collection de dÃ©monstration utilisant le moteur dâindexation Lucene et la base de donnÃ©es JDBM.
Index: /main/trunk/greenstone3/web/sites/localsite/resources/siteConfig_es.properties
===================================================================
--- /main/trunk/greenstone3/web/sites/localsite/resources/siteConfig_es.properties	(revision 30851)
+++ /main/trunk/greenstone3/web/sites/localsite/resources/siteConfig_es.properties	(revision 30851)
@@ -0,0 +1,2 @@
+siteName:Mi biblioteca Greenstone
+siteDescription:Esta es una biblioteca digital construida con el software Greenstone Digital Library, versiÃ³n 3. Edite el nombre del sitio y la descripciÃ³n en web/sites/localsite/siteConfig.xml o web/sites/localsite/resources/siteConfig_xx.properties.
Index: /main/trunk/greenstone3/web/sites/localsite/resources/siteConfig_fr.properties
===================================================================
--- /main/trunk/greenstone3/web/sites/localsite/resources/siteConfig_fr.properties	(revision 30851)
+++ /main/trunk/greenstone3/web/sites/localsite/resources/siteConfig_fr.properties	(revision 30851)
@@ -0,0 +1,2 @@
+siteName:Ma bibliothÃšque Greenstone
+siteDescription:ceci est une bibliothÃšque numÃ©rique utilisant le logiciel open source Greenstone Digital Library dans sa version 3. Vous pouvez modifier le nom et la description dans le fichier web/sites/localsite/siteConfig.xml ou web/sites/localsite/resources/siteConfig_xx.properties.
Index: /main/trunk/greenstone3/web/sites/localsite/resources/siteConfig_pl.properties
===================================================================
--- /main/trunk/greenstone3/web/sites/localsite/resources/siteConfig_pl.properties	(revision 30851)
+++ /main/trunk/greenstone3/web/sites/localsite/resources/siteConfig_pl.properties	(revision 30851)
@@ -0,0 +1,3 @@
+siteName:Moja Biblioteka Greenstone
+siteDescription:To jest cyfrowa biblioteka zbudowana za pomocÄ
+ otwartoÅºrÃ³dÅowego oprogramowania Greenstone Digital Library wersja 3. NazwÄ witryny i opis moÅŒesz zmieniÄ w pliku `web/sites/localsite/siteConfig.xml` lub `web/sites/localsite/resources/siteConfig_xx.properties`.