Index: /main/trunk/greenstone2/macros/dutch.dm
===================================================================
--- /main/trunk/greenstone2/macros/dutch.dm	(revision 30854)
+++ /main/trunk/greenstone2/macros/dutch.dm	(revision 30855)
@@ -6,10 +6,8 @@
 ######################################################################
 
-
 ######################################################################
 # Global (base) package
 package Global
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -52,4 +50,5 @@
 _textdescrhelp_ [l=nl] {Helppagina}
 _textdescrpref_ [l=nl] {Voorkeuren-pagina}
+_textdescrdeposit_ [l=nl] {Neem het item op in de collectie}
 _textdescrlogin_ [l=nl] {Login-pagina}
 _textdescrlogout_ [l=nl] {Log uit als  _cgiargunHtmlsafe_}
@@ -57,5 +56,4 @@
 _textdescrgreenstone_ [l=nl] {Greenstone Digital Library Software}
 _textdescrusab_ [l=nl] {Wat vond U moeilijk te gebruiken?}
-
 
 # Metadata names and navigation bar labels
@@ -191,8 +189,8 @@
 _linktextHELP_ [l=nl] {HELP}
 _linktextPREFERENCES_ [l=nl] {VOORKEUREN}
+_linktextDEPOSIT_ [l=nl] {opslag}
 _linktextLOGIN_ [l=nl] {INLOGGEN }
 _linktextLOGGEDIN_ [l=nl] {(ingelogd als  _cgiargunHtmlsafe_)}
 _linktextLOGOUT_ [l=nl] {UITLOGGEN}
-
 
 ######################################################################
@@ -235,4 +233,5 @@
 _textdescrdepositor_ [l=nl] {Helpt documenten toe te voegen aan bestaande collecties}
 
+_textdepositorlocal_ [l=nl] {Begin een nieuwe collectie}
 package gti
 
@@ -240,10 +239,8 @@
 _textdescrtranslator_ [l=nl] {Helpt U de veeltalige versies van de Greenstone interface up to date te houden}
 
-
 ######################################################################
 # 'about' page
 package about
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -262,10 +259,8 @@
 _titleabout_ [l=nl] {informatie}
 
-
 ######################################################################
 # document package
 package document
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -299,4 +294,11 @@
 }
 
+_textcommentusername_ [l=nl] {Gebruikersnaam}
+_textaddusercomment_ [l=nl] {Voeg commentaar toe}
+_textusercommentlogout_ [l=nl] {Log uit}
+_textaddcomment_ [l=nl] {geef commentaar}
+_textcommentsubmitted_ [l=nl] {Toegevoegd commentaar}
+_textisempty_ [l=nl] {Commentaar was leeg}
+_textusercommentssection_ [l=nl] {Commentaren}
 
 _textgoto_ [l=nl] {Ga naar pagina}
@@ -335,5 +337,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -353,4 +354,7 @@
 _textnatural_ [l=nl] {natuurlijk}
 _textsortbyrank_ [l=nl] {rangschikking naar relevantie}
+_textsortbynone_ [l=nl] {ordening}
+_textascending_ [l=nl] {oplopend}
+_textdescending_ [l=nl] {afdalend}
 _texticonsearchhistorybar_ [l=nl] {zoekgeschiedenis}
 
@@ -380,4 +384,7 @@
 _textwordphrase_ [l=nl] {Woorden}
 _textinfield_ [l=nl] {... in veld}
+_textformcasefold_ [l=nl] {Negeer hoofletters/ kleine letters}
+_textformaccentfold_ [l=nl] {verwaarloos diakritische tekens}
+_textformstem_ [l=nl] {woordstam}
 
 _textadvquery_ [l=nl] {Of voer de zoekvraag rechtstreeks in:}
@@ -439,10 +446,8 @@
 _texthstemoff_ [l=nl] {niet gestript tot woordstammen}
 
-
 ######################################################################
 # 'preferences' page
 package preferences
 ######################################################################
-
 
 #------------------------------------------------------------
@@ -539,5 +544,4 @@
 ######################################################################
 
-
 #------------------------------------------------------------
 # text macros
@@ -592,5 +596,4 @@
 _texthelphighlight_ [l=nl] {Accentueer zoektermen of niet}
 _texthelpsectionarrows_ [l=nl] {Ga naar de volgende/vorige sectie}
-
 
 _texthelpsearchingtitle_ [l=nl] {Zoeken naar bepaalde worden}
@@ -764,5 +767,5 @@
 _textstemprefs_ [l=nl] {Twee knoppen regelen of woorduitgangen bij het zoeken genegeerd worden of niet. Bijvoorbeeld: als "_preferences:textstem_" is gekozen dan zal <i>snail farming</i> op dezelfde manier verwerkt worden als <i>snails farm</i> en <i>snail farmer</i>. Dit werkt op het moment alleen werkelijk goed voor Engels.  _selectstemoptionsprefs_}
 _textaccentfoldprefs_ [l=nl] {Twee knoppen regelen of woorden met en zonder accenten hetzelfde zoekresultaat leveren. Bijvoorbeeld: als "_preferences:textignoreaccents_" is geselecteerd, dan zal <i>fÃ©dÃ©ration</i> hetzelfde resultaat leveren als  <i>fedÃ©ration</i>en <i>federation</i>.}
- 
+
 _textstemoptionsprefs_ [l=nl] {Het kan gemakkelijker en preciser zijn de truncatiemogelijkheid te gebruiken die hierboven is beschreven in  "_texthelpquerytermstitle_".}
 
@@ -777,6 +780,4 @@
 </ul>}
 
-
-
 _texttanumbrowseoptions_ [l=nl] {Er zijn _numbrowseoptions_ mogelijkheden om informatie in 
 deze collectie op te sporen:}
@@ -787,5 +788,5 @@
 _texthelpscope_ [l=nl] {<p>
 In de meeste collecties kunt U verschillende indexen kiezen voor Uw zoekacties.  Er zouden auteurs- 
-en titel indexen aanwezig kunnen zijn of hoofdstuk- en alinea indexen. In het algemeen worden documenten die precies voldaan aan uw vraag
+en titelindexen aanwezig kunnen zijn of hoofdstuk- en alinea-indexen. In het algemeen worden documenten die precies aan uw vraag voldoen
 altijd worden gevonden onafhankelijk van de gebruikte index.  
 <p> Boeken worden geopened op het relevante stuk tekst.