Index: /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/EXPAT.sh
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/EXPAT.sh	(revision 30880)
+++ /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/EXPAT.sh	(revision 30881)
@@ -11,5 +11,5 @@
 
 opt_run_untar $force_untar $auto_untar $package $version
-opt_run_configure $force_config $auto_config $package $version $prefix
+opt_run_configure $force_config $auto_config $package $version $prefix --disable-shared --enable-static
 
 opt_run_make $compile $package $version
Index: /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GETTEXT.sh
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GETTEXT.sh	(revision 30880)
+++ /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GETTEXT.sh	(revision 30881)
@@ -26,5 +26,5 @@
 
 opt_run_untar $force_untar $auto_untar $package $version
-opt_run_configure $force_config $auto_config $package $version $prefix --without-emacs --without-git
+opt_run_configure $force_config $auto_config $package $version $prefix --without-emacs --without-git --disable-shared --enable-static
 
 opt_run_make $compile $package $version
Index: /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GLIB.sh
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GLIB.sh	(revision 30880)
+++ /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GLIB.sh	(revision 30881)
@@ -39,5 +39,5 @@
 opt_run_untar $force_untar $auto_untar $package $version
 opt_run_configure $force_config $auto_config $package $version $prefix \
-  $extra_config_args
+  --disable-shared --enable-static $extra_config_args
 
 opt_run_make $compile $package $version
Index: /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBFFI.sh
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBFFI.sh	(revision 30880)
+++ /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBFFI.sh	(revision 30881)
@@ -11,5 +11,5 @@
 
 opt_run_untar $force_untar $auto_untar $package $version
-opt_run_configure $force_config $auto_config $package $version $prefix
+opt_run_configure $force_config $auto_config $package $version $prefix --disable-shared --enable-static
 
 opt_run_make $compile $package $version
Index: /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBGSF.sh
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBGSF.sh	(revision 30880)
+++ /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBGSF.sh	(revision 30881)
@@ -24,5 +24,5 @@
 
 opt_run_configure $force_config $auto_config $package $version $prefix \
-  --without-python --without-gdk-pixbuf
+  --without-python --without-gdk-pixbuf --disable-shared --enable-static
 
 opt_run_make $compile $package $version
Index: /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBXML.sh
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBXML.sh	(revision 30880)
+++ /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/LIBXML.sh	(revision 30881)
@@ -15,5 +15,5 @@
 opt_run_untar $force_untar $auto_untar $package $version
 opt_run_configure $force_config $auto_config $package $version $prefix \
-  --without-python
+  --without-python --disable-shared --enable-static
 
 opt_run_make $compile $package $version
Index: /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/PKG-CONFIG.sh
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/PKG-CONFIG.sh	(revision 30880)
+++ /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/PKG-CONFIG.sh	(revision 30881)
@@ -15,5 +15,5 @@
 
 opt_run_untar $force_untar $auto_untar $package $version
-opt_run_configure $force_config $auto_config $package $version $prefix
+opt_run_configure $force_config $auto_config $package $version $prefix --disable-shared --enable-static
 
 opt_run_make $compile $package $version
Index: /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/READLINE.sh
===================================================================
--- /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/READLINE.sh	(revision 30880)
+++ /gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/READLINE.sh	(revision 30881)
@@ -12,5 +12,5 @@
 
 opt_run_untar $force_untar $auto_untar $package $version
-opt_run_configure $force_config $auto_config $package $version $prefix
+opt_run_configure $force_config $auto_config $package $version $prefix --disable-shared --enable-static
 
 opt_run_make $compile $package $version