Index: /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/Vagrantfile
===================================================================
--- /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/Vagrantfile	(revision 30916)
+++ /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/Vagrantfile	(revision 30917)
@@ -5,9 +5,10 @@
 
   config.vm.provider "virtualbox" do |v|
-    v.memory = 1024
+    v.memory = 2048
     v.cpus = 2
   end
 
   config.vm.box = "ubuntu/trusty64"
+#  config.vm.box = "ubuntu/xenial64"
 
   config.vm.provision :puppet do |puppet|
Index: /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/manifests/base-hadoop.pp
===================================================================
--- /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/manifests/base-hadoop.pp	(revision 30916)
+++ /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/manifests/base-hadoop.pp	(revision 30917)
@@ -3,6 +3,6 @@
 $spark_home  = "${install_dir}/spark"
 
-$user = "ubuntu"
-$group = "ubuntu"
+$user = "htrc"
+$group = "hadoop"
 
 $hadoop_master = '10.10.0.52'
Index: /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/hadoop/manifests/init.pp
===================================================================
--- /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/hadoop/manifests/init.pp	(revision 30916)
+++ /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/hadoop/manifests/init.pp	(revision 30917)
@@ -2,10 +2,12 @@
 
 exec { "download_hadoop":
-  # Download from nearby mirror, otherwise task can time-out
-  command => "wget -O /tmp/hadoop-2.7.3.tar.gz http://apache.mirror.amaze.com.au/hadoop/common/hadoop-2.7.3/hadoop-2.7.3.tar.gz",
-  # command => "wget -O /tmp/hadoop-2.7.3.tar.gz http://www-eu.apache.org/dist/hadoop/common/hadoop-2.7.3/hadoop-2.7.3.tar.gz",
+  # Download from nearby mirror, otherwise task can time-out with default setting of '300'
+  # command => "wget -O /tmp/hadoop-2.7.3.tar.gz http://apache.mirror.amaze.com.au/hadoop/common/hadoop-2.7.3/hadoop-2.7.3.tar.gz",
+  command => "wget -O /tmp/hadoop-2.7.3.tar.gz   http://www-us.apache.org/dist/hadoop/common/hadoop-2.7.3/hadoop-2.7.3.tar.gz
+",
+  timeout => 0,
   path => $path,
-  user => $user,
-  group => $user,
+#  user => $user,
+#  group => $group,
   unless => "ls ${install_dir} | grep hadoop-2.7.3",
   require => Package["openjdk-7-jdk"]
Index: /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/hadoop/templates/hadoop-env.sh
===================================================================
--- /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/hadoop/templates/hadoop-env.sh	(revision 30916)
+++ /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/hadoop/templates/hadoop-env.sh	(revision 30917)
@@ -23,5 +23,5 @@
 
 # The java implementation to use.
-export JAVA_HOME=/usr/lib/jvm/java-7-openjdk-amd64/
+export JAVA_HOME=/usr/lib/jvm/java-7-openjdk-amd64
 
 # The jsvc implementation to use. Jsvc is required to run secure datanodes
Index: /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/hadoop/templates/setup-hadoop.bash
===================================================================
--- /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/hadoop/templates/setup-hadoop.bash	(revision 30917)
+++ /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/hadoop/templates/setup-hadoop.bash	(revision 30917)
@@ -0,0 +1,9 @@
+
+export JAVA_HOME=/usr/lib/jvm/java-7-openjdk-amd64
+export PATH="$JAVA_HOME/bin:$PATH"
+
+export HADOOP_HOME="<%= @hadoop_home %>"
+export HADOOP_CONF_DIR="$HADOOP_HOME/etc/hadoop"
+export PATH="$HADOOP_HOME/bin:$HADOOP_HOME/sbin:$PATH"
+
+. "$HADOOP_HOME/etc/hadoop/hadoop-env.sh"
Index: /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/spark/manifests/init.pp
===================================================================
--- /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/spark/manifests/init.pp	(revision 30917)
+++ /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/spark/manifests/init.pp	(revision 30917)
@@ -0,0 +1,60 @@
+class spark {
+
+exec { "download_spark":
+  command => "wget -O /tmp/spark.tar.gz http://d3kbcqa49mib13.cloudfront.net/spark-2.0.1-bin-hadoop2.7.tgz",
+  path => $path,
+#  user => $user,
+#  group => $user,
+  unless => "ls ${install_dir} | grep spark-2.0.1",
+  require => Package["openjdk-7-jdk"]
+ }
+
+exec { "unpack_spark":
+  command => "tar -zxf /tmp/spark.tar.gz -C ${install_dir}",
+  path => $path,
+  creates => "${spark_home}-2.0.1-bin-hadoop2.7",
+  require => Exec["download_spark"]
+ }
+
+exec { "rename_spark":
+  command => "ln -s ${install_dir}/spark-2.0.1-bin-hadoop2.7 ${install_dir}/spark",
+  path => $path,
+  creates => "${spark_home}",
+  require => Exec["unpack_spark"]
+ }
+
+exec { 'chown_spark':
+  command => "/bin/chown -R ${user}:${group} ${spark_home}-2.0.1-bin-hadoop2.7",
+  path => '/bin',
+  user => 'root',
+  require => Exec["rename_spark"]
+ }
+
+file { 
+  "${spark_home}/conf/slaves":
+  content => template('spark/slaves'),
+  mode => 644,
+  owner => $user,
+  group => $group,
+  require => Exec["chown_spark"]
+ }
+ 
+file {
+  "/home/${user}/.bashrc-setup-spark":
+  content => template('spark/setup-spark.bash'),
+  mode => 644,
+  owner => $user,
+  group => $group,
+  require => [  Exec["unpack_spark"], File["/home/${user}"] ]
+ }
+
+file_line { "setup_spark_home":
+    ensure => present,
+    path => "/home/${user}/.bashrc",
+    line => ". .bashrc-setup-spark",
+    require => [  Exec["unpack_spark"], File["/home/${user}"] ]	
+ }
+
+
+}
+
Index: /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/spark/templates/setup-spark.bash
===================================================================
--- /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/spark/templates/setup-spark.bash	(revision 30917)
+++ /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/spark/templates/setup-spark.bash	(revision 30917)
@@ -0,0 +1,6 @@
+
+export SPARK_HOME="<%= @spark_home %>"
+export PATH="$SPARK_HOME/bin:$SPARK_HOME/sbin:$PATH"
+
+alias spark-start-all.sh="$SPARK_HOME/sbin/start-all.sh"
+
Index: /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/spark/templates/slaves
===================================================================
--- /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/spark/templates/slaves	(revision 30917)
+++ /other-projects/hathitrust/vagrant-spark-hdfs-cluster/trunk/modules/spark/templates/slaves	(revision 30917)
@@ -0,0 +1,3 @@
+<%= @hadoop_1 %>
+<%= @hadoop_2 %>
+<%= @hadoop_3 %>