Index: /main/trunk/greenstone2/runtime-src/packages/Makefile.in
===================================================================
--- /main/trunk/greenstone2/runtime-src/packages/Makefile.in	(revision 30953)
+++ /main/trunk/greenstone2/runtime-src/packages/Makefile.in	(revision 30954)
@@ -40,5 +40,5 @@
 ifeq ($(USE_YAZ), 1)
 # we only compile the src and client dirs for now.
-YAZ=yaz/yaz-2.1.4/src yaz/yaz-2.1.4/client 
+YAZ=yaz/yaz-2.1.56/src yaz/yaz-2.1.56/client 
 else
 YAZ=
@@ -126,6 +126,6 @@
 # need to do make install in include and src dirs to get the header files and
 # lib file into the right place
-	cd yaz/yaz-2.1.4/include; $(MAKE)  $(MDEFINES) install
-	cd yaz/yaz-2.1.4/src; $(MAKE)  $(MDEFINES) install
+	cd yaz/yaz-2.1.56/include; $(MAKE)  $(MDEFINES) install
+	cd yaz/yaz-2.1.56/src; $(MAKE)  $(MDEFINES) install
 endif
 
Index: /main/trunk/greenstone2/runtime-src/packages/configure
===================================================================
--- /main/trunk/greenstone2/runtime-src/packages/configure	(revision 30953)
+++ /main/trunk/greenstone2/runtime-src/packages/configure	(revision 30954)
@@ -192,6 +192,6 @@
   echo ""
   cd "$PACKAGES/yaz" 
-  gzip -dc yaz-2.1.4.tar.gz | tar -xf -
-  cd yaz-2.1.4 && \
+  gzip -dc yaz-2.1.56.tar.gz | tar -xf -
+  cd yaz-2.1.56 && \
     ./configure $CACHE_FILE --prefix="$PACKAGES/yaz" --bindir="$bindir" $HOSTTARGETFLAGS
 else
Index: /main/trunk/greenstone2/runtime-src/packages/yaz/README.gsdl
===================================================================
--- /main/trunk/greenstone2/runtime-src/packages/yaz/README.gsdl	(revision 30953)
+++ /main/trunk/greenstone2/runtime-src/packages/yaz/README.gsdl	(revision 30954)
@@ -1,4 +1,16 @@
 The YAZ toolkit is used by the GSDL receptionist
 when acting as a z39.50 client.
+
+4. We've moved to Yaz-2.1.56, ak19
+End Oct 2016
+
+EXPLANATION: We've moved to this slightly newer version, the newest in 2.1.* but without changing major version numbers, in order to get a version of yaz that compiles on Macs after changes to make (gnome-lib) libraries statically linked rather than dymamically linked libraries needed for El Capitan.
+
+MODIFIED FILE: yaz-2.1.56/client/client.c
+Still require the same change as in number 3 below.
+
+Ahead of changing to a newer yaz, we've also made changes to the runtime-src/src's z3950 and recpt Makefile.in files, to grab whatever dependencies yaz's configuration step worked out for its Makefile, and then using the same for linking libyaz in z3950 and recept to.
+
+TESTED: bin/linux/z3950server (compile after configuring with --enable-z3950) against yaz-client. Then also tested GLI with Library of Congress's z3950 server at lx2.loc.gov at port 210.
 
 3. CHANGES TO YAZ-2.1.4 TO CREATE THE GREENSTONE VERSION OF IT, ak19
Index: /main/trunk/greenstone2/runtime-src/src/recpt/Makefile.in
===================================================================
--- /main/trunk/greenstone2/runtime-src/src/recpt/Makefile.in	(revision 30953)
+++ /main/trunk/greenstone2/runtime-src/src/recpt/Makefile.in	(revision 30954)
@@ -136,5 +136,5 @@
 # Need LIBS to contain all the dependencies for libyaz that yaz had worked out (from yaz's Makefile)
 # http://stackoverflow.com/questions/2019989/how-to-assign-the-output-of-a-command-to-a-makefile-variable
-YAZ_LIBS = $(shell egrep "^LIBS\s?=" $(RUNTIME_PACKAGES_DIR)/yaz/yaz-2.1.4/Makefile | sed 's/^LIBS\s\?=\s\?//')
+YAZ_LIBS = $(shell egrep "^LIBS\s?=" $(RUNTIME_PACKAGES_DIR)/yaz/yaz-2.1.56/Makefile | sed 's/^LIBS\s\?=\s\?//')
 Z3950_LIBS = $(Z3950_DIR)/gsdlz3950.a $(RUNTIME_PACKAGES_DIR)/yaz/lib/libyaz.a $(YAZ_LIBS)
 else
Index: /main/trunk/greenstone2/runtime-src/src/recpt/win32.mak
===================================================================
--- /main/trunk/greenstone2/runtime-src/src/recpt/win32.mak	(revision 30953)
+++ /main/trunk/greenstone2/runtime-src/src/recpt/win32.mak	(revision 30954)
@@ -129,5 +129,5 @@
 Z3950_DEFS = -DUSE_Z3950
 Z3950_INCLUDES = -I$(Z3950_DIR)
-Z3950_LIBS = $(Z3950_DIR)\gsdlz3950.lib $(PACKAGES_DIR)\yaz\yaz-2.1.4\lib\yaz.lib
+Z3950_LIBS = $(Z3950_DIR)\gsdlz3950.lib $(PACKAGES_DIR)\yaz\yaz-2.1.56\lib\yaz.lib
 !ELSE
 Z3950_DEFS = 
Index: /main/trunk/greenstone2/runtime-src/src/z3950/Makefile.in
===================================================================
--- /main/trunk/greenstone2/runtime-src/src/z3950/Makefile.in	(revision 30953)
+++ /main/trunk/greenstone2/runtime-src/src/z3950/Makefile.in	(revision 30954)
@@ -105,6 +105,6 @@
 # Do NOT add the "recpt" directory here: the z39.50 code should be independent of the receptionist!
 INCLUDES = -I. -I$(GSDL_DIR) -I$(COMMON_DIR)/src/lib -I$(COLSERVR_DIR) -I$(PROTOCOL_DIR) \
-	$(MGPP_INCLUDES) -I$(RUNTIME_PACKAGES_DIR)/yaz/yaz-2.1.4/include \
-	-I$(RUNTIME_PACKAGES_DIR)/yaz/yaz-2.1.4/client -I$(RUNTIME_PACKAGES_DIR)/d2m
+	$(MGPP_INCLUDES) -I$(RUNTIME_PACKAGES_DIR)/yaz/yaz-2.1.56/include \
+	-I$(RUNTIME_PACKAGES_DIR)/yaz/yaz-2.1.56/client -I$(RUNTIME_PACKAGES_DIR)/d2m
 INSTALL = @INSTALL@
 LDFLAGS = @LDFLAGS@
@@ -112,5 +112,5 @@
 # Need LIBS to contain all the dependencies for libyaz that yaz had worked out (from yaz's Makefile)
 # http://stackoverflow.com/questions/2019989/how-to-assign-the-output-of-a-command-to-a-makefile-variable
-YAZ_LIBS = $(shell egrep "^LIBS\s?=" $(RUNTIME_PACKAGES_DIR)/yaz/yaz-2.1.4/Makefile | sed 's/^LIBS\s\?=\s\?//')
+YAZ_LIBS = $(shell egrep "^LIBS\s?=" $(RUNTIME_PACKAGES_DIR)/yaz/yaz-2.1.56/Makefile | sed 's/^LIBS\s\?=\s\?//')
 LIBS = @LIBS@ $(GDBM_LIBS) -L$(COMMON_PACKAGES_DIR)/expat/lib -lexpat \
 	$(ACCENTFOLD_LIBS) $(SQLITE_LIBS) \
@@ -182,5 +182,5 @@
 gsdlz3950.a: $(LIBRARY_OBJECTS)
 	rm -f $(LIBRARY)
-	$(AR) cru $(LIBRARY) $(LIBRARY_OBJECTS) $(RUNTIME_PACKAGES_DIR)/yaz/yaz-2.1.4/client/tabcomplete.o
+	$(AR) cru $(LIBRARY) $(LIBRARY_OBJECTS) $(RUNTIME_PACKAGES_DIR)/yaz/yaz-2.1.56/client/tabcomplete.o
 	$(RANLIB) $(LIBRARY)
 
Index: /main/trunk/greenstone2/runtime-src/src/z3950/win32.mak
===================================================================
--- /main/trunk/greenstone2/runtime-src/src/z3950/win32.mak	(revision 30953)
+++ /main/trunk/greenstone2/runtime-src/src/z3950/win32.mak	(revision 30954)
@@ -141,9 +141,9 @@
 # Do NOT add the "recpt" directory here: the z39.50 code should be independent of the receptionist!
 INCLUDES = -I"$(GSDL_DIR)" -I"$(COMMON_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" \
-	$(MGPP_INCLUDES) -I"$(PACKAGES_DIR)\yaz\yaz-2.1.4\include" \
-	-I"$(PACKAGES_DIR)\yaz\yaz-2.1.4\client" -I"$(PACKAGES_DIR)\d2m" \
+	$(MGPP_INCLUDES) -I"$(PACKAGES_DIR)\yaz\yaz-2.1.56\include" \
+	-I"$(PACKAGES_DIR)\yaz\yaz-2.1.56\client" -I"$(PACKAGES_DIR)\d2m" \
 	$(GDBM_INCLUDES)
 LIBS = "$(COMMON_PACKAGES_DIR)\expat\lib\libexpat.lib" $(GDBM_LIBS) \
-        "$(PACKAGES_DIR)\d2m\libd2m.lib" "$(PACKAGES_DIR)\yaz\yaz-2.1.4\lib\yaz.lib" $(ACCENTFOLD_LIBS) \
+        "$(PACKAGES_DIR)\d2m\libd2m.lib" "$(PACKAGES_DIR)\yaz\yaz-2.1.56\lib\yaz.lib" $(ACCENTFOLD_LIBS) \
 	$(SQLITE_LIBS)
 
@@ -217,5 +217,5 @@
 gsdlz3950.lib: $(LIBRARY_OBJECTS)
 	if EXIST $(LIBRARY) del $(LIBRARY)
-	$(AR) -nologo /out:$(LIBRARY) $(LIBRARY_OBJECTS) $(PACKAGES_DIR)/yaz/yaz-2.1.4/win/obj/tabcomplete.obj
+	$(AR) -nologo /out:$(LIBRARY) $(LIBRARY_OBJECTS) $(PACKAGES_DIR)/yaz/yaz-2.1.56/win/obj/tabcomplete.obj
 
 z3950server.exe: $(EXECUTABLE_OBJECTS)
Index: /main/trunk/greenstone2/runtime-src/src/z3950/yaz_zclient.h
===================================================================
--- /main/trunk/greenstone2/runtime-src/src/z3950/yaz_zclient.h	(revision 30953)
+++ /main/trunk/greenstone2/runtime-src/src/z3950/yaz_zclient.h	(revision 30954)
@@ -6,4 +6,5 @@
 /* the new yaz_zclient made for use with Greenstone. Based on client.c 
  * (version 2.1.4) and the old yaz_zclient (version 1.6 for greenstone)
+ * Note: from end Oct 2016, moved to yaz version 2.1.56.
  */
 void z_initialize(void);
Index: /main/trunk/greenstone2/runtime-src/win32.mak
===================================================================
--- /main/trunk/greenstone2/runtime-src/win32.mak	(revision 30953)
+++ /main/trunk/greenstone2/runtime-src/win32.mak	(revision 30954)
@@ -51,5 +51,5 @@
 PACKAGEDIRS = 
 
-YAZ_DIR = packages\yaz\yaz-2.1.4\win
+YAZ_DIR = packages\yaz\yaz-2.1.56\win
 
 MAKECMD = $(MAKE) $(MDEFINES) GSDLHOME="$(GSDLHOME)"