Index: /other-projects/hathitrust/vagrant-solr-cluster/trunk/manifests/base-zookeeper-solr.pp
===================================================================
--- /other-projects/hathitrust/vagrant-solr-cluster/trunk/manifests/base-zookeeper-solr.pp	(revision 30968)
+++ /other-projects/hathitrust/vagrant-solr-cluster/trunk/manifests/base-zookeeper-solr.pp	(revision 30969)
@@ -120,4 +120,25 @@
 }
 
+ file { 
+  "/home/${user}/.bashrc":
+  source => "puppet:///modules/zookeeper/bashrc",
+  ensure => present,
+  mode => 644,
+  owner => $user,
+  group => $group,
+  require => File["/home/${user}"]
+ }
+
+ file { 
+  "/home/${user}/.bash_profile":
+  source => "puppet:///modules/zookeeper/bash_profile",
+  ensure => present,
+  mode => 644,
+  owner => $user,
+  group => $group,
+  require => File["/home/${user}"]
+ }
+
+
 host { 'solr1':
     ip => "${solr_1}",
Index: /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/solr/manifests/init.pp
===================================================================
--- /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/solr/manifests/init.pp	(revision 30968)
+++ /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/solr/manifests/init.pp	(revision 30969)
@@ -46,4 +46,15 @@
  }
 
+ file { 
+  "/home/${user}/solr-init-collection.sh":
+  content => template('solr/solr-init-collection.sh'),
+  ensure => present,
+  mode => 755,
+  owner => $user,
+  group => $group,
+  require => File["/home/${user}"]
+ }
+
+
 }
 
Index: /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/solr/templates/setup-solr.bash
===================================================================
--- /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/solr/templates/setup-solr.bash	(revision 30968)
+++ /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/solr/templates/setup-solr.bash	(revision 30969)
@@ -1,5 +1,5 @@
 
 export SOLR_HOME="<%= @solr_home %>/server/solr"
-export PATH="$SOLR_HOME/bin:$PATH"
+export PATH="<%= @solr_home %>/bin:$PATH"
 
 alias solr-start-node.sh="solr start -c -z zookeeper:2181 -h `hostname`:8983"
Index: /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/solr/templates/solr-init-collection.sh
===================================================================
--- /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/solr/templates/solr-init-collection.sh	(revision 30969)
+++ /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/solr/templates/solr-init-collection.sh	(revision 30969)
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+solr create \
+     -c htrc-pd-ef \
+     -d data_driven_schema_configs \
+     -shards 3 \
+     -replicationFactor 2
Index: /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/zookeeper/files/bash_profile
===================================================================
--- /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/zookeeper/files/bash_profile	(revision 30969)
+++ /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/zookeeper/files/bash_profile	(revision 30969)
@@ -0,0 +1,4 @@
+
+if [ -f ~/.bashrc ]; then
+  . ~/.bashrc
+fi
Index: /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/zookeeper/files/bashrc
===================================================================
--- /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/zookeeper/files/bashrc	(revision 30969)
+++ /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/zookeeper/files/bashrc	(revision 30969)
@@ -0,0 +1,116 @@
+# ~/.bashrc: executed by bash(1) for non-login shells.
+# see /usr/share/doc/bash/examples/startup-files (in the package bash-doc)
+# for examples
+
+# If not running interactively, don't do anything
+#case $- in
+#    *i*) ;;
+#      *) return;;
+#esac
+shopt -s expand_aliases
+
+# don't put duplicate lines or lines starting with space in the history.
+# See bash(1) for more options
+HISTCONTROL=ignoreboth
+
+# append to the history file, don't overwrite it
+shopt -s histappend
+
+# for setting history length see HISTSIZE and HISTFILESIZE in bash(1)
+HISTSIZE=1000
+HISTFILESIZE=2000
+
+# check the window size after each command and, if necessary,
+# update the values of LINES and COLUMNS.
+shopt -s checkwinsize
+
+# If set, the pattern "**" used in a pathname expansion context will
+# match all files and zero or more directories and subdirectories.
+#shopt -s globstar
+
+# make less more friendly for non-text input files, see lesspipe(1)
+[ -x /usr/bin/lesspipe ] && eval "$(SHELL=/bin/sh lesspipe)"
+
+# set variable identifying the chroot you work in (used in the prompt below)
+if [ -z "${debian_chroot:-}" ] && [ -r /etc/debian_chroot ]; then
+    debian_chroot=$(cat /etc/debian_chroot)
+fi
+
+# set a fancy prompt (non-color, unless we know we "want" color)
+case "$TERM" in
+    xterm-color) color_prompt=yes;;
+esac
+
+# uncomment for a colored prompt, if the terminal has the capability; turned
+# off by default to not distract the user: the focus in a terminal window
+# should be on the output of commands, not on the prompt
+#force_color_prompt=yes
+
+if [ -n "$force_color_prompt" ]; then
+    if [ -x /usr/bin/tput ] && tput setaf 1 >&/dev/null; then
+	# We have color support; assume it's compliant with Ecma-48
+	# (ISO/IEC-6429). (Lack of such support is extremely rare, and such
+	# a case would tend to support setf rather than setaf.)
+	color_prompt=yes
+    else
+	color_prompt=
+    fi
+fi
+
+if [ "$color_prompt" = yes ]; then
+    PS1='${debian_chroot:+($debian_chroot)}\[\033[01;32m\]\u@\h\[\033[00m\]:\[\033[01;34m\]\w\[\033[00m\]\$ '
+else
+    PS1='${debian_chroot:+($debian_chroot)}\u@\h:\w\$ '
+fi
+unset color_prompt force_color_prompt
+
+# If this is an xterm set the title to user@host:dir
+case "$TERM" in
+xterm*|rxvt*)
+    PS1="\[\e]0;${debian_chroot:+($debian_chroot)}\u@\h: \w\a\]$PS1"
+    ;;
+*)
+    ;;
+esac
+
+# enable color support of ls and also add handy aliases
+if [ -x /usr/bin/dircolors ]; then
+    test -r ~/.dircolors && eval "$(dircolors -b ~/.dircolors)" || eval "$(dircolors -b)"
+    alias ls='ls --color=auto'
+    #alias dir='dir --color=auto'
+    #alias vdir='vdir --color=auto'
+
+    alias grep='grep --color=auto'
+    alias fgrep='fgrep --color=auto'
+    alias egrep='egrep --color=auto'
+fi
+
+# some more ls aliases
+alias ll='ls -alF'
+alias la='ls -A'
+alias l='ls -CF'
+
+# Add an "alert" alias for long running commands.  Use like so:
+#   sleep 10; alert
+alias alert='notify-send --urgency=low -i "$([ $? = 0 ] && echo terminal || echo error)" "$(history|tail -n1|sed -e '\''s/^\s*[0-9]\+\s*//;s/[;&|]\s*alert$//'\'')"'
+
+# Alias definitions.
+# You may want to put all your additions into a separate file like
+# ~/.bash_aliases, instead of adding them here directly.
+# See /usr/share/doc/bash-doc/examples in the bash-doc package.
+
+if [ -f ~/.bash_aliases ]; then
+    . ~/.bash_aliases
+fi
+
+# enable programmable completion features (you don't need to enable
+# this, if it's already enabled in /etc/bash.bashrc and /etc/profile
+# sources /etc/bash.bashrc).
+if ! shopt -oq posix; then
+  if [ -f /usr/share/bash-completion/bash_completion ]; then
+    . /usr/share/bash-completion/bash_completion
+  elif [ -f /etc/bash_completion ]; then
+    . /etc/bash_completion
+  fi
+fi
+
Index: /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/zookeeper/manifests/init.pp
===================================================================
--- /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/zookeeper/manifests/init.pp	(revision 30968)
+++ /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/zookeeper/manifests/init.pp	(revision 30969)
@@ -75,4 +75,15 @@
     require => [  Exec["unpack_zookeeper"], File["/home/${user}"] ]	
  }
+
+ file { 
+  "/home/${user}/solr-start-all.sh":
+  content => template('zookeeper/solr-start-all.sh'),
+  ensure => present,
+  mode => 755,
+  owner => $user,
+  group => $group,
+  require => File["/home/${user}"]
+ }
+
 }
 
Index: /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/zookeeper/templates/solr-start-all.sh
===================================================================
--- /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/zookeeper/templates/solr-start-all.sh	(revision 30969)
+++ /other-projects/hathitrust/vagrant-solr-cluster/trunk/modules/zookeeper/templates/solr-start-all.sh	(revision 30969)
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+for node in <%= @solr_1 %> <%= @solr_2 %> <%= @solr_3 %> ; do
+    ssh $node solr-start-node.sh    
+done
+
+